/**
 * @file
 * Global utilities.
 *
 */
(function ($, Drupal) {

	$(document).ready(function() {
		normalizeSlideHeights();
	});	
	$(window).on(
	    'load resize orientationchange', 
	    normalizeSlideHeights);

	function normalizeSlideHeights() {
	  	var windowHeight = $(window).height();  

	    $('.carousel').each(function(){
	      var id = this.id;	
	      var items = $('.carousel-item', this);
	      if($('#' + id + ' .carousel-item').find('video').length !== 0) {	
	      	$('#' + id).removeClass( "custom-height" );
		      // set the video height to all
					if ($('#' + id).hasClass("free-height")) {
						
					} else {
						var previousCss  = $('#' + id + ' .carousel-item').find('video').attr("style");
						$('#' + id + ' .carousel-item').find('video').css({
						    visibility: 'hidden',
						    display:    'block'
						});
				    var maxHeight = Math.max.apply(null, 
				          (items.map(function(){
				              return $(this).outerHeight()}).get()).filter(Boolean));
						$('#' + id + ' .carousel-item').find('video').attr("style", previousCss ? previousCss : "");
			        items.find('.carousel-height').css('min-height', maxHeight + 'px');	
			        items.css('min-height', maxHeight + 'px');	
					}	

	      } else {
	      	if ($('#' + id).hasClass("free-height") || $('#' + id).find(".carousel-inner .text-slide")) {
			      // set the image height to all
			      var maxHeight = Math.max.apply(null, 
			          (items.map(function(){
			              return $(this).outerHeight()}).get()).filter(Boolean));
		        items.find('.carousel-height').css('min-height', maxHeight + 'px');	             		
			    }

	      }

	    })
	}

})(jQuery, Drupal);
